[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

xorg: Changes to 'debian-unstable'



 debian/changelog             |    6 ++++++
 debian/local/Xreset          |   34 ++++++++++++++++++++++++++++++++++
 debian/local/Xreset.d/README |    2 ++
 debian/rules                 |    2 ++
 debian/x11-common.dirs       |    1 +
 debian/x11-common.install    |    2 ++
 6 files changed, 47 insertions(+)

New commits:
commit b355aeb2b8b6eed2174cb02d99119c7dff048753
Author: Brice Goglin <bgoglin@debian.org>
Date:   Sat Mar 6 16:16:16 2010 +0100

    Add Xreset and Xreset.d support

diff --git a/debian/changelog b/debian/changelog
index 7b3d5d5..0359056 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+xorg (1:7.5+4) UNRELEASED; urgency=low
+
+  * Add Xreset and Xreset.d support, closes: #230422.
+
+ -- Brice Goglin <bgoglin@debian.org>  Sat, 06 Mar 2010 16:15:01 +0100
+
 xorg (1:7.5+3) unstable; urgency=low
 
   * Remove the obsolete x11proto-evie-dev from xorg-dev dependencies.
diff --git a/debian/local/Xreset b/debian/local/Xreset
new file mode 100644
index 0000000..7a0974c
--- /dev/null
+++ b/debian/local/Xreset
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# /etc/X11/Xreset
+#
+# global Xreset file -- for use by display managers
+
+# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $
+
+set -e
+
+PROGNAME=Xreset
+SYSSESSIONDIR=/etc/X11/Xreset.d
+
+if [ ! -d "$SYSSESSIONDIR" ]; then
+  # Nothing to do, exiting
+  exit 0
+fi
+
+# use run-parts to source every file in the session directory; we source
+# instead of executing so that the variables and functions defined above
+# are available to the scripts, and so that they can pass variables to each
+# other
+SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
+if [ -n "$SESSIONFILES" ]; then
+  set +e
+  for SESSIONFILE in $SESSIONFILES; do
+    . $SESSIONFILE
+  done
+  set -e
+fi
+
+exit 0
+
+# vim:set ai et sts=2 sw=2 tw=80:
diff --git a/debian/local/Xreset.d/README b/debian/local/Xreset.d/README
new file mode 100644
index 0000000..f7ef6d3
--- /dev/null
+++ b/debian/local/Xreset.d/README
@@ -0,0 +1,2 @@
+Scripts in this directory are executed as root when a user log out from
+a display manager using /etc/X11/Xreset.
diff --git a/debian/rules b/debian/rules
index a3b6616..8e3927f 100755
--- a/debian/rules
+++ b/debian/rules
@@ -83,6 +83,8 @@ binary-indep: build install
 	dh_link
 	dh_compress
 	dh_fixperms
+	chown root:root debian/x11-common/etc/X11/Xreset
+	chmod 755 debian/x11-common/etc/X11/Xreset
 	chown root:root debian/x11-common/etc/X11/Xsession
 	chmod 755 debian/x11-common/etc/X11/Xsession
 	dh_installdeb
diff --git a/debian/x11-common.dirs b/debian/x11-common.dirs
index 5ac730e..59b24d0 100644
--- a/debian/x11-common.dirs
+++ b/debian/x11-common.dirs
@@ -1,4 +1,5 @@
 etc/X11/Xresources
+etc/X11/Xreset.d
 etc/X11/Xsession.d
 usr/include/X11
 usr/lib/X11
diff --git a/debian/x11-common.install b/debian/x11-common.install
index c52e550..bee9350 100644
--- a/debian/x11-common.install
+++ b/debian/x11-common.install
@@ -1,4 +1,6 @@
 debian/local/rgb.txt etc/X11
+debian/local/Xreset etc/X11
+debian/local/Xreset.d/* etc/X11/Xreset.d
 debian/local/Xsession etc/X11
 debian/local/Xsession.d/* etc/X11/Xsession.d
 debian/local/Xsession.options etc/X11


Reply to: